Collections

Modify collection

Modify a specific collection by ID.

post
https://{your-bynder-domain}/api/v4/collections/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/x-www-form-urlencoded
descriptionstring

Example:Collection of featured assets

isPublicboolean

Example:true

namestring

Example:Featured collection

thumbnailAssetIdstring

Example:00000000-0000-0000-0000000000000000

Response

application/json

Collection modified.

messagestring

Example:Created

statuscodeinteger

Example:201

post/api/v4/collections/{id}

Body

{}
 
application/json

Share collection

Share collection

Share a specific collection by ID.

post
https://{your-bynder-domain}/api/v4/collections/{id}/share

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/x-www-form-urlencoded
collectionOptionsstring

Allowed values:readOnlyviewreadAccessedit

Example:view

dateEndstring

Example:2015-08-12T08:07:24Z

dateStartstring

Example:2014-08-12T08:07:24Z

groupsstring

Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000

loginRequiredboolean

Example:true

messagestring

Example:Your message goes here

profilesstring

Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000

recipientsstring

Example:user1@bynder.com,user2@bynder.com

sendMailboolean

Example:true

Response

application/json

Collection shared.

messagestring

Example:accepted

statuscodeinteger

Example:202

post/api/v4/collections/{id}/share

Body

{}
 
application/json

Collections assets

Remove assets from a collection

Remove assets from a specific collection by ID.

delete
https://{your-bynder-domain}/api/v4/collections/{id}/media

Query Parameters

deleteIdsstringrequired

Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Response

No Content

delete/api/v4/collections/{id}/media